cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
awrflexlm
Level 2

Visual Studio 2015 support timeline

When will Visual Studio 2015 be supported?

In the FlexNet Publisher release notes for 11.13.1.0 it says, "The Visual Studio 2015 compiler is not supported. It will fail to build kit makefiles, and there is no workaround. Visual Studio 2015 compatibility will be delivered in a future release (FNP-10512).".

Unfortunately I can't seem to find any information about case FNP-10512. Is there a way for me to search for this case or can I only view cases submitted under my account?

Thank you.
Labels (1)
0 Kudos
7 Replies
Greg9504
Level 2

Any word on this? We tried 11.13.1.2 and ran into link errors building our daemon with Visual Studio 2015 Update 1. We edited the make file found in x64_n6 adding the new runtime libs but eventually we ran into problems with missing symbols for __iob_func, which I believe requires a rebuild on Flexera's end. For now we build the one project using Visual Studio 2012 tools... but this isn't ideal.
0 Kudos
henrique_duy
Level 2

Hi all,
Currently i am using flexlm-11.4 library which build by VS2008, could we we build those libraries with VS 2015? If Yes, please share us the way for doing this.
Thanks alot
0 Kudos
andrewcflex
Level 4

It is an totally unacceptable situation that VC 2015 compatible libraries have not been released yet.
Is there a release schedule for this?
0 Kudos
Cadpipe
Level 2

I'm having similar problems with VS2015. We're using lc_new_job, lc_set_attr, lc_checkout, etc for licensing within AutoCAD. Using VS2013 and below, I am able to use the 11.9.1 libraries just fine. When upgrading to VS2015, which is required for AutoCAD 2017, I get linker errors. I downloaded 11.13.1.3_v6 but it does not include lm_new.obj which is one of the files that we are including in the link. How can I get this working with VS2015?
0 Kudos
essco6
Level 2

We need a version of FlexLM that supports VS2015. What is the expected delivery date?

Having had FlexLM 'cracked' on the latest version of our product and the inability to use the latest MS development environment I have to question why we are still using FlexLM.
0 Kudos
bruceramsay
Level 2

It has been over a year since the release of VS 2015. Is there a plan to support VS 2015? or do I need to make other plans?
0 Kudos
MikeFrimley
Level 2

The software I use with FLEX ahs moved to compiling with Visual Studio 2015, so I need to use 2015. This causes a problem with the FlexNET linking.
I have not been able to find any information from Flexera about what the situation is with regard to 2015 support. Can anyone comment on the status?

Seems nothing much has been reported in the last year.
0 Kudos